# EnumerationClassPattern Class Reference
[Patterns used to build classes]

Inheritance diagram for EnumerationClassPattern:
[legend]

List of all members.

## Public Member Functions

| daoExists ()
| indicates DAO availability for classes which uses this pattern
| tableExists ()
| guess what
| build (MetaClass $class)

## Detailed Description

Definition at line 15 of file EnumerationClassPattern.class.php.

## Member Function Documentation

EnumerationClassPattern::build | ( | MetaClass $ | class | ) |

Returns:
  EnumerationClassPattern

Reimplemented from BasePattern.

Reimplemented in SpookedEnumerationPattern.

Definition at line 30 of file EnumerationClassPattern.class.php.

References EnumerationClassBuilder::build(), BasePattern::dumpFile(), Format::indentize(), and MetaConfiguration::me().

Here is the call graph for this function:

EnumerationClassPattern::daoExists | ( |  | ) |

indicates DAO availability for classes which uses this pattern

Reimplemented from BasePattern.

Reimplemented in SpookedEnumerationPattern.

Definition at line 17 of file EnumerationClassPattern.class.php.

EnumerationClassPattern::tableExists | ( |  | ) |

guess what

Reimplemented from BasePattern.

Definition at line 22 of file EnumerationClassPattern.class.php.

The documentation for this class was generated from the following file:

- meta/patterns/EnumerationClassPattern.class.php